> ## Documentation Index
> Fetch the complete documentation index at: https://lago-ftr-wallet-improvements.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List all billable metric groups

> This endpoint retrieves all groups for a billable metric.

<RequestExample>
  ```bash cURL
  LAGO_URL="https://api.getlago.com"
  API_KEY="__YOUR_API_KEY__"

  curl --location --request GET "$LAGO_URL/api/v1/billable_metrics/:code/groups?per_page=2&page=1" \
    --header "Authorization: Bearer $API_KEY"
  ```

  ```python Python
  from lago_python_client.client import Client
  from lago_python_client.exceptions import LagoApiError

  client = Client(api_key='__YOUR_API_KEY__')

  try:
      client.groups.find_all('billable_metric_code', {'per_page': 2, 'page': 1})
  except LagoApiError as e:
      repair_broken_state(e)  # do something on error or raise your own exception
  ```

  ```ruby Ruby
  require 'lago-ruby-client'

  client = Lago::Api::Client.new({api_key: '__YOUR_API_KEY__'})

  client.groups.get_all('billable_metric_code', { per_page: 2, page: 3 })
  ```

  ```js Javascript
  await client.billableMetrics.findAllBillableMetricGroups(
    "billable_metric_code",
    { per_page: 2, page: 3 }
  );
  ```

  ```go Go
  import "fmt"
  import "github.com/getlago/lago-go-client"

  func main() {
  lagoClient := lago.New().
      SetApiKey("__YOUR_API_KEY__")

  groupListInput := &lago.GroupListInput{
      Code: "billable_metric_code",
      PerPage: 10,
      Page: 1,
  }

  groupResult, err := lagoClient.Group().GetList(groupListInput)
  if err != nil {
      // Error is *lago.Error
      panic(err)
  }

  // group is *lago.GroupResult
  fmt.Println(groupResult)
  }
  ```

  ```csharp C#
  using System.Collections.Generic;
  using System.Diagnostics;
  using Org.OpenAPITools.Api;
  using Org.OpenAPITools.Client;
  using Org.OpenAPITools.Model;

  namespace Example
  {
    public class FindAllBillableMetricGroupsExample
    {
        public static void Main()
        {
            Configuration.Default.BasePath = "https://api.getlago.com/api/v1";
            // Configure HTTP bearer authorization: bearerAuth
            Configuration.Default.AccessToken = "YOUR_ACCESS_TOKEN";

            var apiInstance = new BillableMetricsApi(Configuration.Default);
            var code = "example_code";  // string | Code of the existing billable metric
            var page = 2;  // int? | Number of page (optional)
            var perPage = 20;  // int? | Number of records per page (optional)

            try
            {
                // Find Billable metric groups
                Groups result = apiInstance.FindAllBillableMetricGroups(code, page, perPage);
                Debug.WriteLine(result);
            }
            catch (ApiException e)
            {
                Debug.Print("Exception when calling BillableMetricsApi.FindAllBillableMetricGroups: " + e.Message );
                Debug.Print("Status Code: "+ e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
  }
  ```

  ```php PHP
  <?php
  require_once(__DIR__ . '/vendor/autoload.php');


  // Configure Bearer authorization: bearerAuth
  $config = OpenAPI\Client\Configuration::getDefaultConfiguration()->setAccessToken('YOUR_ACCESS_TOKEN');


  $apiInstance = new OpenAPI\Client\Api\BillableMetricsApi(
    // If you want use custom http client, pass your client which implements `GuzzleHttp\ClientInterface`.
    // This is optional, `GuzzleHttp\Client` will be used as default.
    new GuzzleHttp\Client(),
    $config
  );
  $code = "example_code"; // string | Code of the existing billable metric
  $page = 2; // int | Number of page
  $per_page = 20; // int | Number of records per page

  try {
    $result = $apiInstance->findAllBillableMetricGroups($code, $page, $per_page);
    print_r($result);
  } catch (Exception $e) {
    echo 'Exception when calling BillableMetricsApi->findAllBillableMetricGroups: ', $e->getMessage(), PHP_EOL;
  }
  ```
</RequestExample>
